Name:          sun-txw2
Version:       20110809
Release:       %mkrel 2
Summary:       Typed XML Writer runtime
Group:         Development/Java
License:       CDDL or GPLv2 with exception
URL:           http://java.net/projects/txw/
# svn export https://svn.java.net/svn/jaxb~version2/tags/txw2-project-20110809/ txw2-20110809
# tar czf txw2-20110809-src-svn.tar.gz txw2-20110809
Source0:       txw2-%{version}-src-svn.tar.gz
Patch0:        sun-txw2-20110809-compiler-Main.patch
Patch1:        sun-txw2-20110809-runtime-pom.patch

BuildRequires: java-devel
BuildRequires: jvnet-parent
BuildRequires: jpackage-utils
BuildRequires: sonatype-oss-parent
BuildRequires: forge-parent

BuildRequires: ant
BuildRequires: args4j
BuildRequires: bea-stax-api
BuildRequires: bsf
BuildRequires: codemodel
BuildRequires: relaxngDatatype
BuildRequires: rngom
BuildRequires: sun-xsom

BuildRequires: junit4
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-enforcer-rules
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      ant
Requires:      args4j
Requires:      codemodel
Requires:      bea-stax-api
Requires:      relaxngDatatype
Requires:      rngom
Requires:      sun-xsom

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
TXW is a library that allows you to write XML documents.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
TXW is a library that allows you to write XML documents.

This package contains javadoc for %{name}.

%prep

%setup -q -n txw2-%{version}

find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

iconv -f iso8859-1 -t utf-8 license.txt > license.txt.conv && mv -f license.txt.conv license.txt
sed -i 's/\r//' license.txt

%patch0 -p0
%patch1 -p0

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 runtime/target/txw2-%{version}.jar \
  %{buildroot}%{_javadir}/sun-txw2.jar
install -m 644 compiler/target/txwc2-%{version}.jar \
  %{buildroot}%{_javadir}/sun-txwc2.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-sun-txw2-project.pom
%add_maven_depmap JPP-sun-txw2-project.pom
install -m 644 runtime/pom.xml %{buildroot}%{_mavenpomdir}/JPP-sun-txw2.pom
%add_maven_depmap JPP-sun-txw2.pom sun-txw2.jar
install -m 644 compiler/pom.xml %{buildroot}%{_mavenpomdir}/JPP-sun-txwc2.pom
%add_maven_depmap JPP-sun-txwc2.pom sun-txwc2.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/sun-txw2.jar
%{_javadir}/sun-txwc2.jar
%{_mavenpomdir}/JPP-*.pom
%{_mavendepmapfragdir}/%{name}
%doc license.txt

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 20110809-2.mga3
+ Revision: 383756
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 gil <gil> 20110809-1.mga2
+ Revision: 220257
- update to 20110809

* Fri Aug 12 2011 dmorgan <dmorgan> 0.1-1.mga2
+ Revision: 132887
- Clean spec file

  + gil <gil>
    - imported package sun-txw2

